<?php
/**
 * Convierte fecha de mysql a normal
 *
 * @param date(Y-m-d) $fecha
 * @return date(d/m/Y)
 */
function zen_parsear_fecha_a_normal($fecha){
	ereg( "([0-9]{2,4})-([0-9]{1,2})-([0-9]{1,2})", $fecha, $mifecha);
	$lafecha=$mifecha[3]."/".$mifecha[2]."/".$mifecha[1];
	return $lafecha;
}

/**
 * Convierte fecha de normal a mysql
 *
 * @param date(d/m/Y) $fecha
 * @return date(Y-m-d)
 */
function zen_parsear_fecha_a_mysql($fecha){
	ereg( "([0-9]{1,2})/([0-9]{1,2})/([0-9]{2,4})", $fecha, $mifecha);
	$lafecha=$mifecha[3]."-".$mifecha[2]."-".$mifecha[1];
	return $lafecha;
}

/**
 * Filtra un texto como fecha del formato [0-9]{1,2})/([0-9]{1,2})/([0-9]{2,4}
 *
 * @param str $fecha
 * @return str : ([0-9]{1,2})/([0-9]{1,2})/([0-9]{2,4})
 */
function zen_parsearFechaFormato($fecha){
	ereg( "([0-9]{1,2})/([0-9]{1,2})/([0-9]{2,4})", $fecha, $mifecha);
	$lafecha=$mifecha[1]."/".$mifecha[2]."/".$mifecha[3];
	return $lafecha;
}
/**
 * Formato para DS -> dia/mes/año
 * Formato para los demás ...
 *
 * @param str $quecosa
 * @param date $_fecha
 * @param str $idioma : codigo del idioma ,el directorio dentro de DIR_IDIOMAS
 * @return str||date
 */
function zen_parsearFechaTexto($quecosa='t',$_fecha="",$idioma=ZF_IDIOMA_DEFECTO) { //t = toda la fecha
	if (empty($fecha))  $fecha  = date('d/m/Y');
	if (empty($idioma)) $idioma = ZF_IDIOMA_DEFECTO;
	require_once(ZF_DIR_CONTENIDO_ZEN.$idioma.'/zen_fecha.php');
	$diassemana = array(ZF_DOMINGO,ZF_LUNES,ZF_MARTES,ZF_MIERCOLES,ZF_JUEVES,ZF_VIERNES,ZF_SABADO);
	$mesesano = array(ZF_TEXT_ENERO,ZF_TEXT_FEBRERO,ZF_TEXT_MARZO,ZF_TEXT_ABRIL,ZF_TEXT_MAYO,ZF_TEXT_JUNIO,
					  ZF_TEXT_JULIO,ZF_TEXT_AGOSTO,ZF_TEXT_SEPTIEMBRE,ZF_TEXT_OCTUBRE,ZF_TEXT_NOVIEMBRE,ZF_TEXT_DICIEMBRE);
	switch ($quecosa) {
	case 'd':
		return $diassemana[date('w')];
		break;
	case 'dm':
		return date('j') ;
		break;
	case 'm':
		return $mesesano[date('n')] - 1 ;
		break;
	case 'y':
		return date('Y') ;
		break;
	case 'DS': //Dia de la semana de una fecha en concreto
		$fecha = split('/',$_fecha);
		if (count($fecha)==3)
		 return  $diassemana[date('w',mktime(0,0,0,$fecha[1],$fecha[0],$fecha[2]))]." ".$fecha[0]." ".ZF_TEXT_DE." ".
				$mesesano[intval($fecha[1])-1]." ".
					ZF_TEXT_DEL." ".$fecha[2];
		else return "Fecha no válida $_fecha";
		break;
	default: //toda la fecha completa
		return $diassemana[$diassemana[date('w')]].",".date('j')."/".($mesesano[date('n')] - 1)."/".date('Y');
		break;
	}
}

?>